View Issue Details

IDProjectCategoryView StatusLast Update
0013554LazarusLCLpublic2009-10-08 13:54
ReporterRoland Turcan Assigned ToDmitry Boyarintsev  
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.27 (SVN) 
Target Version0.9.30Fixed in Version0.9.28 
Summary0013554: Bad repaint in TNotebook with ShowTabs:=False;
DescriptionWhen I use TNotebook in assistent dialogs where I use ShowTabs:=False
and pages are changed in code from buttons, then TNotepad doesn't
repaint the TPage when it changes to next one.

I use Lazarus SVN on Mac OS X 10.5 Intel and PowerPC with Carbon.
TagsNo tags attached.
Fixed in Revision20607
LazTarget0.9.28
WidgetsetCarbon
Attached Files

Activities

Dmitry Boyarintsev

2009-06-12 19:36

developer   ~0028502

please test and close, if ok

Roland Turcan

2009-06-12 22:15

reporter   ~0028506

Super Dmitry, thanks a lot. It works fine.

Issue History

Date Modified Username Field Change
2009-04-22 09:25 Roland Turcan New Issue
2009-04-22 09:25 Roland Turcan Widgetset => Carbon
2009-04-22 09:44 Dmitry Boyarintsev Status new => assigned
2009-04-22 09:44 Dmitry Boyarintsev Assigned To => Dmitry Boyarintsev
2009-04-22 10:00 Dmitry Boyarintsev LazTarget => -
2009-04-22 10:00 Dmitry Boyarintsev Target Version => 0.9.29 (SVN)
2009-04-23 13:57 Vincent Snijders Target Version 0.9.29 (SVN) => 0.9.30
2009-06-12 19:36 Dmitry Boyarintsev Fixed in Revision => 20607
2009-06-12 19:36 Dmitry Boyarintsev LazTarget - => 0.9.28
2009-06-12 19:36 Dmitry Boyarintsev Status assigned => resolved
2009-06-12 19:36 Dmitry Boyarintsev Fixed in Version => 0.9.28
2009-06-12 19:36 Dmitry Boyarintsev Resolution open => fixed
2009-06-12 19:36 Dmitry Boyarintsev Note Added: 0028502
2009-06-12 22:15 Roland Turcan Note Added: 0028506
2009-10-08 13:54 Roland Turcan Status resolved => closed